Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.agreement
Class XDHBasicAgreement

    java.lang.Object
      org.bouncycastle.crypto.agreement.XDHBasicAgreement

All Implemented Interfaces:
  BasicAgreement

public class XDHBasicAgreement
extends java.lang.Object
implements BasicAgreement

Key agreement using X25519 or X448. Same as Weierstrauss curve based ECDH, except this uses the U-coordinate while ECDH uses the X-coordinate.

Constructor Summary
`XDHBasicAgreement()`

Method Summary
`java.math.BigInteger` | `calculateAgreement(CipherParameters pubKey)` given a public key from a given party calculate the next message in the agreement sequence.
`int` | `getFieldSize()` return the field size for the agreement algorithm in bytes.
`void` | `init(CipherParameters key)` initialise the agreement engine.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XDHBasicAgreement

    public XDHBasicAgreement()

Method Detail

### init

    public void init(CipherParameters key)

  Description copied from interface: `BasicAgreement`
  initialise the agreement engine.

  Specified by:
    `init` in interface `BasicAgreement`

### getFieldSize

    public int getFieldSize()

  Description copied from interface: `BasicAgreement`
  return the field size for the agreement algorithm in bytes.

  Specified by:
    `getFieldSize` in interface `BasicAgreement`

### calculateAgreement

    public java.math.BigInteger calculateAgreement(CipherParameters pubKey)

  Description copied from interface: `BasicAgreement`
  given a public key from a given party calculate the next message in the agreement sequence.

  Specified by:
    `calculateAgreement` in interface `BasicAgreement`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD